import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';


export type AlertType = 'success' | 'danger' | 'warning' | 'info';

@Component({
  selector: 'zy-alert',
  templateUrl: './alert.component.html',
  styleUrls: ['./alert.component.css']
})

export class AlertComponent implements OnInit {

  @Input() type:AlertType="info";
  @Input() showIcon = true;
  @Input() closeable = false;
  @Output() closeEvent:EventEmitter<boolean> = new EventEmitter<boolean>();
  hide = false;

  constructor() { }

  ngOnInit(): void {
  }

  close(){
    this.closeEvent.emit(true);
    this.hide = true;
  }

}
